Subject: Re: Can't ssh to cygwin after switching sign-in to Windows Hello PIN
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Wed, 15 Sep 2021 11:58:38 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-09-12 16:05, Henry S. Thompson via Cygwin wrote:
> Running cygwin 3.2.0-1 on Windows 10 Pro 21H1
> Since changing my login from local User to Windows Hello PIN, I can't
> ssh in to my machine using a password:  neither the PIN nor my old
> password work:
>    1) If from my machine I do
>            ssh -o PreferredAuthentications=password localhost
>       or
>            ssh -o PreferredAuthentications=password [me]@[host]
>       or
>            ssh -o PreferredAuthentications=password U-[HOST]\\[me]@[host]
>       I get "permission denied".
>    2) If I try any of those from another machine, it hangs (but works
>       w/o the "-o PreferredAuthentications=password", i.e. using a
>       key).  By 'hangs' I mean that having typed the PIN and Enter,
>       nothing happens, including no output if I include -v -v -v.
>       Weirder still, if I try using strace, communication happens and I
>       get "permission denied"
> I have reinstalled openssh, removed the cygsshd service, re-run
> ssh-host-config and restarted the service to no avail.
> I only need password login to install new keys, and obviously there
> are workarounds for that, but if there's just something I'm missing
> I'd like to fix it.
> Are there other things I need to worry about having switched to using
> a PIN?

Checkout whatever you can find out from Microsoft about connecting to 
Windows using Windows OpenSSH and Hello.

You may have to use SSH as intended:
add your host key to remote {~/.ssh,/etc/ssh}/known_hosts;
and your public key to remote ~/.ssh/authorized_keys{,2};
locally do the equivalent of eval `ssh-agent` and ssh-add ~/.ssh/id_...; 
then use your client to connect.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple